<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
	<storageModule moduleId="org.eclipse.cdt.core.settings">
		<cconfiguration id="com.crt.advproject.config.exe.debug.1764521704">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="com.crt.advproject.config.exe.debug.1764521704" moduleId="org.eclipse.cdt.core.settings" name="Debug">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GNU_ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactExtension="axf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe" cleanCommand="rm -rf" description="Debug build" errorParsers="org.eclipse.cdt.core.CWDLocator;org.eclipse.cdt.core.GmakeErrorParser;org.eclipse.cdt.core.GCCErrorParser;org.eclipse.cdt.core.GLDErrorParser;org.eclipse.cdt.core.GASErrorParser" id="com.crt.advproject.config.exe.debug.1764521704" name="Debug" parent="com.crt.advproject.config.exe.debug" postannouncebuildStep="Performing post-build steps" postbuildStep="arm-none-eabi-size &quot;${BuildArtifactFileName}&quot; ; arm-none-eabi-objcopy -v -O binary &quot;${BuildArtifactFileName}&quot; &quot;${BuildArtifactFileBaseName}.bin&quot; ; arm-none-eabi-objcopy -v -O binary --change-addresses=0x60000000 &quot;${BuildArtifactFileName}&quot; &quot;${BuildArtifactFileBaseName}_.bin&quot; ; arm-none-eabi-objcopy -v -O ihex -I binary --change-addresses=0x60040000 &quot;../${BuildArtifactFileBaseName}_data.txt&quot; &quot;${BuildArtifactFileBaseName}_data.hex&quot; ; #checksum -p ${TargetChip} -d &quot;${BuildArtifactFileBaseName}.bin&quot; ; #checksum -p ${TargetChip} -d &quot;${BuildArtifactFileBaseName}_.bin&quot;">
					<folderInfo id="com.crt.advproject.config.exe.debug.1764521704." name="/" resourcePath="">
						<toolChain id="com.crt.advproject.toolchain.exe.debug.1813374929" name="NXP MCU Tools" superClass="com.crt.advproject.toolchain.exe.debug">
							<targetPlatform binaryParser="org.eclipse.cdt.core.ELF;org.eclipse.cdt.core.GNU_ELF" id="com.crt.advproject.platform.exe.debug.954889355" name="ARM-based MCU (Debug)" superClass="com.crt.advproject.platform.exe.debug"/>
							<builder buildPath="${workspace_loc:/CallistoBootloader}/Debug" id="com.crt.advproject.builder.exe.debug.1264842548" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Gnu Make Builder" superClass="com.crt.advproject.builder.exe.debug"/>
							<tool id="com.crt.advproject.cpp.exe.debug.246750264" name="MCU C++ Compiler" superClass="com.crt.advproject.cpp.exe.debug">
								<option id="com.crt.advproject.cpp.arch.205730918" name="Architecture" superClass="com.crt.advproject.cpp.arch" useByScannerDiscovery="true" value="com.crt.advproject.cpp.target.cm7" valueType="enumerated"/>
								<option id="com.crt.advproject.cpp.misc.dialect.247322162" name="Language standard" superClass="com.crt.advproject.cpp.misc.dialect" useByScannerDiscovery="true"/>
								<option id="gnu.cpp.compiler.option.dialect.flags.843046594" name="Other dialect flags" superClass="gnu.cpp.compiler.option.dialect.flags" useByScannerDiscovery="true"/>
								<option id="gnu.cpp.compiler.option.preprocessor.nostdinc.1226407219" name="Do not search system directories (-nostdinc)" superClass="gnu.cpp.compiler.option.preprocessor.nostdinc" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.preprocess.1569854716" name="Preprocess only (-E)" superClass="gnu.cpp.compiler.option.preprocessor.preprocess" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.def.121210356" name="Defined symbols (-D)" superClass="gnu.cpp.compiler.option.preprocessor.def" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.undef.2095459615" name="Undefined symbols (-U)" superClass="gnu.cpp.compiler.option.preprocessor.undef" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.include.paths.444781158" name="Include paths (-I)" superClass="gnu.cpp.compiler.option.include.paths" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.include.files.1134067030" name="Include files (-include)" superClass="gnu.cpp.compiler.option.include.files" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.exe.debug.option.optimization.level.965487541" name="Optimization Level" superClass="com.crt.advproject.cpp.exe.debug.option.optimization.level" useByScannerDiscovery="true"/>
								<option id="gnu.cpp.compiler.option.optimization.flags.1379959172" name="Other optimization flags" superClass="gnu.cpp.compiler.option.optimization.flags" useByScannerDiscovery="false" value="-fno-common" valueType="string"/>
								<option id="com.crt.advproject.cpp.exe.debug.option.debugging.level.1221420026" name="Debug Level" superClass="com.crt.advproject.cpp.exe.debug.option.debugging.level" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.other.1413296586" name="Other debugging flags" superClass="gnu.cpp.compiler.option.debugging.other" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.prof.585837269" name="Generate prof information (-p)" superClass="gnu.cpp.compiler.option.debugging.prof" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.gprof.667801220" name="Generate gprof information (-pg)" superClass="gnu.cpp.compiler.option.debugging.gprof" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.codecov.1488999154" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.cpp.compiler.option.debugging.codecov" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.syntax.1068529268" name="Check syntax only (-fsyntax-only)" superClass="gnu.cpp.compiler.option.warnings.syntax" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.pedantic.213205009" name="Pedantic (-pedantic)" superClass="gnu.cpp.compiler.option.warnings.pedantic" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.pedantic.error.1667131415" name="Pedantic warnings as errors (-pedantic-errors)" superClass="gnu.cpp.compiler.option.warnings.pedantic.error" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.nowarn.402503401" name="Inhibit all warnings (-w)" superClass="gnu.cpp.compiler.option.warnings.nowarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.allwarn.1887706699" name="All warnings (-Wall)" superClass="gnu.cpp.compiler.option.warnings.allwarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.extrawarn.420545348" name="Extra warnings (-Wextra)" superClass="gnu.cpp.compiler.option.warnings.extrawarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.toerrors.141029812" name="Warnings as errors (-Werror)" superClass="gnu.cpp.compiler.option.warnings.toerrors" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.wconversion.1128248208" name="Implicit conversion warnings (-Wconversion)" superClass="gnu.cpp.compiler.option.warnings.wconversion" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.other.2134597658" name="Other flags" superClass="gnu.cpp.compiler.option.other.other" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.verbose.1472575563" name="Verbose (-v)" superClass="gnu.cpp.compiler.option.other.verbose" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.pic.198560540" name="Position Independent Code (-fPIC)" superClass="gnu.cpp.compiler.option.other.pic" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.lto.2005818582" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.cpp.lto" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.lto.fat.869052890" name="Fat lto objects (-ffat-lto-objects)" superClass="com.crt.advproject.cpp.lto.fat" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.merge.constants.1732212253" name="Merge Identical Constants (-fmerge-constants)" superClass="com.crt.advproject.cpp.merge.constants" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.prefixmap.1185359370" name="Remove path from __FILE__ (-fmacro-prefix-map)" superClass="com.crt.advproject.cpp.prefixmap" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.fpu.1753105666" name="Floating point" superClass="com.crt.advproject.cpp.fpu" useByScannerDiscovery="true" value="com.crt.advproject.cpp.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.cpp.thumb.1459184546" name="Thumb mode" superClass="com.crt.advproject.cpp.thumb" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.thumbinterwork.785748861" name="Enable Thumb interworking" superClass="com.crt.advproject.cpp.thumbinterwork" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.securestate.1390038179" name="TrustZone Project Type" superClass="com.crt.advproject.cpp.securestate" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.hdrlib.2096522398" name="Library headers" superClass="com.crt.advproject.cpp.hdrlib" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.stackusage.479124974" name="Generate Stack Usage Info (-fstack-usage)" superClass="com.crt.advproject.cpp.stackusage" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.specs.555186358" name="Specs" superClass="com.crt.advproject.cpp.specs" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.config.1832606777" name="Obsolete (Config)" superClass="com.crt.advproject.cpp.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.store.485568910" name="Obsolete (Store)" superClass="com.crt.advproject.cpp.store" useByScannerDiscovery="false"/>
							</tool>
							<tool id="com.crt.advproject.gcc.exe.debug.428636320" name="MCU C Compiler" superClass="com.crt.advproject.gcc.exe.debug">
								<option id="com.crt.advproject.gcc.thumb.329541072" name="Thumb mode" superClass="com.crt.advproject.gcc.thumb" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.gcc.arch.1142769952" name="Architecture" superClass="com.crt.advproject.gcc.arch" useByScannerDiscovery="true" value="com.crt.advproject.gcc.target.cm7" valueType="enumerated"/>
								<option id="com.crt.advproject.c.misc.dialect.655139317" name="Language standard" superClass="com.crt.advproject.c.misc.dialect" useByScannerDiscovery="true" value="com.crt.advproject.misc.dialect.gnu99" valueType="enumerated"/>
								<option id="gnu.c.compiler.option.dialect.flags.1908773688" name="Other dialect flags" superClass="gnu.c.compiler.option.dialect.flags" useByScannerDiscovery="true"/>
								<option id="gnu.c.compiler.option.preprocessor.nostdinc.967863453" name="Do not search system directories (-nostdinc)" superClass="gnu.c.compiler.option.preprocessor.nostdinc" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.preprocessor.preprocess.1689960560" name="Preprocess only (-E)" superClass="gnu.c.compiler.option.preprocessor.preprocess" useByScannerDiscovery="false"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.preprocessor.def.symbols.392674204" name="Defined symbols (-D)" superClass="gnu.c.compiler.option.preprocessor.def.symbols" useByScannerDiscovery="false" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CPU_MIMXRT1062DVL6A"/>
									<listOptionValue builtIn="false" value="REVISION_A_BOARD"/>
									<listOptionValue builtIn="false" value="CPU_MIMXRT1062DVL6A_cm7"/>
									<listOptionValue builtIn="false" value="USE_RTOS=1"/>
									<listOptionValue builtIn="false" value="WITH_LWIP"/>
									<listOptionValue builtIn="false" value="_POSIX_SOURCE"/>
									<listOptionValue builtIn="false" value="SDK_DEBUGCONSOLE=0"/>
									<listOptionValue builtIn="false" value="DEBUG_CONSOLE_TRANSFER_NON_BLOCKING"/>
									<listOptionValue builtIn="false" value="DEBUG_CONSOLE_TRANSMIT_BUFFER_LEN=1024"/>
									<listOptionValue builtIn="false" value="XIP_EXTERNAL_FLASH=1"/>
									<listOptionValue builtIn="false" value="XIP_BOOT_HEADER_ENABLE=1"/>
									<listOptionValue builtIn="false" value="SERIAL_PORT_TYPE_UART=1"/>
									<listOptionValue builtIn="false" value="FSL_RTOS_FREE_RTOS"/>
									<listOptionValue builtIn="false" value="CR_INTEGER_PRINTF"/>
									<listOptionValue builtIn="false" value="CR_PRINTF_CHAR"/>
									<listOptionValue builtIn="false" value="PRINTF_FLOAT_ENABLE=1"/>
									<listOptionValue builtIn="false" value="__MCUXPRESSO"/>
									<listOptionValue builtIn="false" value="__USE_CMSIS"/>
									<listOptionValue builtIn="false" value="ENET_ENHANCEDBUFFERDESCRIPTOR_MODE"/>
									<listOptionValue builtIn="false" value="NXPIMXRT1050"/>
									<listOptionValue builtIn="false" value="PTP_ENABLED=1"/>
									<listOptionValue builtIn="false" value="DEBUG"/>
									<listOptionValue builtIn="false" value="__NEWLIB__"/>
								</option>
								<option id="gnu.c.compiler.option.preprocessor.undef.symbol.126309488" name="Undefined symbols (-U)" superClass="gnu.c.compiler.option.preprocessor.undef.symbol" useByScannerDiscovery="false"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.include.paths.1040824079" name="Include paths (-I)" superClass="gnu.c.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/PlatformAPI/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/drivers}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/board}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/CMSIS}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/lwip/src/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/lwip/src/include/compat/posix}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/lwip/port}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/libcoap/include/coap2}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/amazon-freertos/freertos_kernel/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/amazon-freertos/freertos_kernel/portable/GCC/ARM_CM4F}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/amazon-freertos/freertos_kernel/portable/MemMang}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/drivers}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/component/serial_manager}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/component/uart}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/component/lists}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/utilities}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/device}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/otherdrivers}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/xip}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/cJSON/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/ptpd/src}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/ptpd/src/dep}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/lwip-contrib/httpserver}&quot;"/>
								</option>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.include.files.425042398" name="Include files (-include)" superClass="gnu.c.compiler.option.include.files" useByScannerDiscovery="false" valueType="includeFiles">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/include/typefix.h}&quot;"/>
								</option>
								<option id="com.crt.advproject.gcc.exe.debug.option.optimization.level.1146366442" name="Optimization Level" superClass="com.crt.advproject.gcc.exe.debug.option.optimization.level" useByScannerDiscovery="true" value="gnu.c.optimization.level.none" valueType="enumerated"/>
								<option id="gnu.c.compiler.option.optimization.flags.1979533040" name="Other optimization flags" superClass="gnu.c.compiler.option.optimization.flags" useByScannerDiscovery="false" value="-fno-common -ffunction-sections -fdata-sections" valueType="string"/>
								<option id="com.crt.advproject.gcc.exe.debug.option.debugging.level.1424200478" name="Debug Level" superClass="com.crt.advproject.gcc.exe.debug.option.debugging.level" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.other.1871721672" name="Other debugging flags" superClass="gnu.c.compiler.option.debugging.other" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.prof.17286152" name="Generate prof information (-p)" superClass="gnu.c.compiler.option.debugging.prof" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.gprof.610013565" name="Generate gprof information (-pg)" superClass="gnu.c.compiler.option.debugging.gprof" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.codecov.176932612" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.c.compiler.option.debugging.codecov" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.syntax.2013545948" name="Check syntax only (-fsyntax-only)" superClass="gnu.c.compiler.option.warnings.syntax" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.pedantic.1825590106" name="Pedantic (-pedantic)" superClass="gnu.c.compiler.option.warnings.pedantic" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.pedantic.error.854320522" name="Pedantic warnings as errors (-pedantic-errors)" superClass="gnu.c.compiler.option.warnings.pedantic.error" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.nowarn.1894529306" name="Inhibit all warnings (-w)" superClass="gnu.c.compiler.option.warnings.nowarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.allwarn.147309532" name="All warnings (-Wall)" superClass="gnu.c.compiler.option.warnings.allwarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.extrawarn.1864421302" name="Extra warnings (-Wextra)" superClass="gnu.c.compiler.option.warnings.extrawarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.toerrors.1855953159" name="Warnings as errors (-Werror)" superClass="gnu.c.compiler.option.warnings.toerrors" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.wconversion.1446462442" name="Implicit conversion warnings (-Wconversion)" superClass="gnu.c.compiler.option.warnings.wconversion" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.other.570925024" name="Other flags" superClass="gnu.c.compiler.option.misc.other" useByScannerDiscovery="false" value="-c -ffunction-sections -fdata-sections -ffreestanding -fno-builtin" valueType="string"/>
								<option id="gnu.c.compiler.option.misc.verbose.1094898102" name="Verbose (-v)" superClass="gnu.c.compiler.option.misc.verbose" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.ansi.857284850" name="Support ANSI programs (-ansi)" superClass="gnu.c.compiler.option.misc.ansi" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.pic.564534391" name="Position Independent Code (-fPIC)" superClass="gnu.c.compiler.option.misc.pic" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option id="com.crt.advproject.gcc.lto.1724345265" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.gcc.lto" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option id="com.crt.advproject.gcc.lto.fat.1999583191" name="Fat lto objects (-ffat-lto-objects)" superClass="com.crt.advproject.gcc.lto.fat" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.merge.constants.358347346" name="Merge Identical Constants (-fmerge-constants)" superClass="com.crt.advproject.gcc.merge.constants" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.prefixmap.1658722233" name="Remove path from __FILE__ (-fmacro-prefix-map)" superClass="com.crt.advproject.gcc.prefixmap" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.fpu.1791210700" name="Floating point" superClass="com.crt.advproject.gcc.fpu" useByScannerDiscovery="true" value="com.crt.advproject.gcc.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.thumbinterwork.235147740" name="Enable Thumb interworking" superClass="com.crt.advproject.gcc.thumbinterwork" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.securestate.1707510108" name="TrustZone Project Type" superClass="com.crt.advproject.gcc.securestate" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.hdrlib.1940880552" name="Library headers" superClass="com.crt.advproject.gcc.hdrlib" useByScannerDiscovery="false" value="com.crt.advproject.gcc.hdrlib.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.stackusage.438905011" name="Generate Stack Usage Info (-fstack-usage)" superClass="com.crt.advproject.gcc.stackusage" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.specs.1973289209" name="Specs" superClass="com.crt.advproject.gcc.specs" useByScannerDiscovery="false" value="com.crt.advproject.gcc.specs.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.config.745896477" name="Obsolete (Config)" superClass="com.crt.advproject.gcc.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.store.939649777" name="Obsolete (Store)" superClass="com.crt.advproject.gcc.store" useByScannerDiscovery="false"/>
								<inputType id="com.crt.advproject.compiler.input.685110543" superClass="com.crt.advproject.compiler.input"/>
							</tool>
							<tool id="com.crt.advproject.gas.exe.debug.2078154914" name="MCU Assembler" superClass="com.crt.advproject.gas.exe.debug">
								<option id="com.crt.advproject.gas.thumb.2025504810" name="Thumb mode" superClass="com.crt.advproject.gas.thumb" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.gas.arch.669876829" name="Architecture" superClass="com.crt.advproject.gas.arch" useByScannerDiscovery="false" value="com.crt.advproject.gas.target.cm7" valueType="enumerated"/>
								<option id="gnu.both.asm.option.flags.crt.726514408" name="Assembler flags" superClass="gnu.both.asm.option.flags.crt" useByScannerDiscovery="false" value="-c -x assembler-with-cpp -D__NEWLIB__" valueType="string"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="gnu.both.asm.option.include.paths.1784870461" name="Include paths (-I)" superClass="gnu.both.asm.option.include.paths" useByScannerDiscovery="false" valueType="includePath"/>
								<option id="gnu.both.asm.option.warnings.nowarn.1290631157" name="Suppress warnings (-W)" superClass="gnu.both.asm.option.warnings.nowarn" useByScannerDiscovery="false"/>
								<option id="gnu.both.asm.option.version.91666722" name="Announce version (-v)" superClass="gnu.both.asm.option.version" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.exe.debug.option.debugging.level.1640145689" name="Debug level" superClass="com.crt.advproject.gas.exe.debug.option.debugging.level" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.fpu.1378700988" name="Floating point" superClass="com.crt.advproject.gas.fpu" useByScannerDiscovery="false" value="com.crt.advproject.gas.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.gas.thumbinterwork.749253408" name="Enable Thumb interworking" superClass="com.crt.advproject.gas.thumbinterwork" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.hdrlib.972260991" name="Library headers" superClass="com.crt.advproject.gas.hdrlib" useByScannerDiscovery="false" value="com.crt.advproject.gas.hdrlib.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gas.specs.1895696776" name="Specs" superClass="com.crt.advproject.gas.specs" useByScannerDiscovery="false" value="com.crt.advproject.gas.specs.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gas.config.137966485" name="Obsolete (Config)" superClass="com.crt.advproject.gas.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.store.2054263290" name="Obsolete (Store)" superClass="com.crt.advproject.gas.store" useByScannerDiscovery="false"/>
								<inputType id="cdt.managedbuild.tool.gnu.assembler.input.780933484" superClass="cdt.managedbuild.tool.gnu.assembler.input"/>
								<inputType id="com.crt.advproject.assembler.input.1601599720" name="Additional Assembly Source Files" superClass="com.crt.advproject.assembler.input"/>
							</tool>
							<tool id="com.crt.advproject.link.cpp.exe.debug.1263887096" name="MCU C++ Linker" superClass="com.crt.advproject.link.cpp.exe.debug">
								<option id="com.crt.advproject.link.cpp.arch.1650821121" name="Architecture" superClass="com.crt.advproject.link.cpp.arch" value="com.crt.advproject.link.cpp.target.cm7" valueType="enumerated"/>
								<option id="gnu.cpp.link.option.nostart.1156604044" name="Do not use standard start files (-nostartfiles)" superClass="gnu.cpp.link.option.nostart"/>
								<option id="gnu.cpp.link.option.nodeflibs.706356288" name="Do not use default libraries (-nodefaultlibs)" superClass="gnu.cpp.link.option.nodeflibs"/>
								<option id="gnu.cpp.link.option.nostdlibs.687749948" name="No startup or default libs (-nostdlib)" superClass="gnu.cpp.link.option.nostdlibs" value="true" valueType="boolean"/>
								<option id="gnu.cpp.link.option.strip.291563042" name="Omit all symbol information (-s)" superClass="gnu.cpp.link.option.strip"/>
								<option id="gnu.cpp.link.option.libs.1925508170" name="Libraries (-l)" superClass="gnu.cpp.link.option.libs"/>
								<option id="gnu.cpp.link.option.paths.186885124" name="Library search path (-L)" superClass="gnu.cpp.link.option.paths"/>
								<option id="gnu.cpp.link.option.flags.98989530" name="Linker flags" superClass="gnu.cpp.link.option.flags"/>
								<option id="gnu.cpp.link.option.other.1683705452" name="Other options (-Xlinker [option])" superClass="gnu.cpp.link.option.other"/>
								<option id="gnu.cpp.link.option.userobjs.1908086018" name="Other objects" superClass="gnu.cpp.link.option.userobjs"/>
								<option id="gnu.cpp.link.option.shared.2037760676" name="Shared (-shared)" superClass="gnu.cpp.link.option.shared"/>
								<option id="gnu.cpp.link.option.soname.155867343" name="Shared object name (-Wl,-soname=)" superClass="gnu.cpp.link.option.soname"/>
								<option id="gnu.cpp.link.option.implname.661508776" name="Import Library name (-Wl,--out-implib=)" superClass="gnu.cpp.link.option.implname"/>
								<option id="gnu.cpp.link.option.defname.1566327121" name="DEF file name (-Wl,--output-def=)" superClass="gnu.cpp.link.option.defname"/>
								<option id="gnu.cpp.link.option.debugging.prof.690033183" name="Generate prof information (-p)" superClass="gnu.cpp.link.option.debugging.prof"/>
								<option id="gnu.cpp.link.option.debugging.gprof.1055097405" name="Generate gprof information (-pg)" superClass="gnu.cpp.link.option.debugging.gprof"/>
								<option id="gnu.cpp.link.option.debugging.codecov.758581225" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.cpp.link.option.debugging.codecov"/>
								<option id="com.crt.advproject.link.cpp.lto.945522246" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.link.cpp.lto"/>
								<option id="com.crt.advproject.link.cpp.lto.optmization.level.40261984" name="Link-time optimization level" superClass="com.crt.advproject.link.cpp.lto.optmization.level"/>
								<option id="com.crt.advproject.link.cpp.fpu.44235766" name="Floating point" superClass="com.crt.advproject.link.cpp.fpu" value="com.crt.advproject.link.cpp.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.link.cpp.thumb.1618224267" name="Thumb mode" superClass="com.crt.advproject.link.cpp.thumb"/>
								<option id="com.crt.advproject.link.cpp.manage.131724748" name="Manage linker script" superClass="com.crt.advproject.link.cpp.manage"/>
								<option id="com.crt.advproject.link.cpp.script.1373012841" name="Linker script" superClass="com.crt.advproject.link.cpp.script"/>
								<option id="com.crt.advproject.link.cpp.scriptdir.1412461783" name="Script path" superClass="com.crt.advproject.link.cpp.scriptdir"/>
								<option id="com.crt.advproject.link.cpp.crpenable.330832049" name="Enable automatic placement of Code Read Protection field in image" superClass="com.crt.advproject.link.cpp.crpenable"/>
								<option id="com.crt.advproject.link.cpp.flashconfigenable.84164303" name="Enable automatic placement of Flash Configuration field in image" superClass="com.crt.advproject.link.cpp.flashconfigenable" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.link.cpp.ecrp.1341371264" name="Enhanced CRP" superClass="com.crt.advproject.link.cpp.ecrp"/>
								<option id="com.crt.advproject.link.cpp.hdrlib.1088851235" name="Library" superClass="com.crt.advproject.link.cpp.hdrlib"/>
								<option id="com.crt.advproject.link.cpp.nanofloat.145945192" name="Enable printf float " superClass="com.crt.advproject.link.cpp.nanofloat"/>
								<option id="com.crt.advproject.link.cpp.nanofloat.scanf.9145806" name="Enable scanf float " superClass="com.crt.advproject.link.cpp.nanofloat.scanf"/>
								<option id="com.crt.advproject.link.cpp.toram.570164670" name="Link application to RAM" superClass="com.crt.advproject.link.cpp.toram"/>
								<option id="com.crt.advproject.link.memory.load.image.cpp.1366227934" name="Plain load image" superClass="com.crt.advproject.link.memory.load.image.cpp"/>
								<option id="com.crt.advproject.link.memory.heapAndStack.style.cpp.1959785767" name="Heap and Stack placement" superClass="com.crt.advproject.link.memory.heapAndStack.style.cpp"/>
								<option id="com.crt.advproject.link.cpp.stackOffset.2072450887" name="Stack offset" superClass="com.crt.advproject.link.cpp.stackOffset"/>
								<option id="com.crt.advproject.link.memory.heapAndStack.cpp.1500396076" name="Heap and Stack options" superClass="com.crt.advproject.link.memory.heapAndStack.cpp"/>
								<option id="com.crt.advproject.link.memory.data.cpp.963327324" name="Global data placement" superClass="com.crt.advproject.link.memory.data.cpp"/>
								<option id="com.crt.advproject.link.memory.sections.cpp.845746781" name="Extra linker script input sections" superClass="com.crt.advproject.link.memory.sections.cpp"/>
								<option id="com.crt.advproject.link.cpp.multicore.slave.1259984812" name="Multicore configuration" superClass="com.crt.advproject.link.cpp.multicore.slave"/>
								<option id="com.crt.advproject.link.cpp.multicore.master.1734089372" name="Multicore master" superClass="com.crt.advproject.link.cpp.multicore.master"/>
								<option id="com.crt.advproject.link.cpp.multicore.empty.2065144044" name="No Multicore options for this project" superClass="com.crt.advproject.link.cpp.multicore.empty"/>
								<option id="com.crt.advproject.link.cpp.multicore.master.userobjs.238293214" name="Slave Objects (not visible)" superClass="com.crt.advproject.link.cpp.multicore.master.userobjs"/>
								<option id="com.crt.advproject.link.cpp.config.422466092" name="Obsolete (Config)" superClass="com.crt.advproject.link.cpp.config"/>
								<option id="com.crt.advproject.link.cpp.store.398518616" name="Obsolete (Store)" superClass="com.crt.advproject.link.cpp.store"/>
								<option id="com.crt.advproject.link.cpp.securestate.67707719" name="TrustZone Project Type" superClass="com.crt.advproject.link.cpp.securestate"/>
								<option id="com.crt.advproject.link.cpp.sgstubs.placement.1183048362" name="Secure Gateway Placement" superClass="com.crt.advproject.link.cpp.sgstubs.placement"/>
								<option id="com.crt.advproject.link.cpp.sgstubenable.422189714" name="Enable generation of Secure Gateway Import Library" superClass="com.crt.advproject.link.cpp.sgstubenable"/>
								<option id="com.crt.advproject.link.cpp.nonsecureobject.218966463" name="Secure Gateway Import Library" superClass="com.crt.advproject.link.cpp.nonsecureobject"/>
								<option id="com.crt.advproject.link.cpp.inimplib.430580363" name="Input Secure Gateway Import Library" superClass="com.crt.advproject.link.cpp.inimplib"/>
							</tool>
							<tool id="com.crt.advproject.link.exe.debug.1605844401" name="MCU Linker" superClass="com.crt.advproject.link.exe.debug">
								<option id="com.crt.advproject.link.thumb.418126430" name="Thumb mode" superClass="com.crt.advproject.link.thumb" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.link.memory.load.image.1622847666" name="Plain load image" superClass="com.crt.advproject.link.memory.load.image" useByScannerDiscovery="false" value="false;" valueType="string"/>
								<option defaultValue="com.crt.advproject.heapAndStack.mcuXpressoStyle" id="com.crt.advproject.link.memory.heapAndStack.style.457519743" name="Heap and Stack placement" superClass="com.crt.advproject.link.memory.heapAndStack.style" useByScannerDiscovery="false" value="Default" valueType="enumerated"/>
								<option id="com.crt.advproject.link.memory.heapAndStack.2079474272" name="Heap and Stack options" superClass="com.crt.advproject.link.memory.heapAndStack" useByScannerDiscovery="false" value="&amp;Heap:SRAM_PLATFORM;Post Data;0x64000&amp;Stack:SRAM_STACK;Start;0x4000" valueType="string"/>
								<option id="com.crt.advproject.link.memory.data.9495709" name="Global data placement" superClass="com.crt.advproject.link.memory.data" useByScannerDiscovery="false" value="SRAM_DTC" valueType="string"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="com.crt.advproject.link.memory.sections.325425718" name="Extra linker script input sections" superClass="com.crt.advproject.link.memory.sections" useByScannerDiscovery="false" valueType="stringList"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="com.crt.advproject.link.gcc.multicore.master.userobjs.403618512" name="Slave Objects (not visible)" superClass="com.crt.advproject.link.gcc.multicore.master.userobjs" useByScannerDiscovery="false" valueType="userObjs"/>
								<option id="com.crt.advproject.link.arch.1610866823" name="Architecture" superClass="com.crt.advproject.link.arch" useByScannerDiscovery="false" value="com.crt.advproject.link.target.cm7" valueType="enumerated"/>
								<option id="gnu.c.link.option.nostart.1083073242" name="Do not use standard start files (-nostartfiles)" superClass="gnu.c.link.option.nostart" useByScannerDiscovery="false"/>
								<option id="gnu.c.link.option.nodeflibs.279039597" name="Do not use default libraries (-nodefaultlibs)" superClass="gnu.c.link.option.nodeflibs" useByScannerDiscovery="false"/>
								<option id="gnu.c.link.option.nostdlibs.230131479" name="No startup or default libs (-nostdlib)" superClass="gnu.c.link.option.nostdlibs" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="gnu.c.link.option.strip.2127869278" name="Omit all symbol information (-s)" superClass="gnu.c.link.option.strip" useByScannerDiscovery="false"/>
								<option id="gnu.c.link.option.noshared.1967383286" name="No shared libraries (-static)" superClass="gnu.c.link.option.noshared" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.link.option.libs.1087180660" name="Libraries (-l)" superClass="gnu.c.link.option.libs" useByScannerDiscovery="false" valueType="libs">
									<listOptionValue builtIn="false" value="FreeRTOSLib"/>
								</option>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.link.option.paths.1044026069" name="Library search path (-L)" superClass="gnu.c.link.option.paths" useByScannerDiscovery="false" valueType="libPaths">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/Debug}&quot;"/>
								</option>
								<option id="gnu.c.link.option.ldflags.1968465655" name="Linker flags" superClass="gnu.c.link.option.ldflags" useByScannerDiscovery="false"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.link.option.other.776650366" name="Other options (-Xlinker [option])" superClass="gnu.c.link.option.other" useByScannerDiscovery="false" valueType="stringList">
									<listOptionValue builtIn="false" value="-Map=&quot;${BuildArtifactFileBaseName}.map&quot;"/>
									<listOptionValue builtIn="false" value="--gc-sections"/>
									<listOptionValue builtIn="false" value="-print-memory-usage"/>
									<listOptionValue builtIn="false" value="--sort-section=alignment"/>
									<listOptionValue builtIn="false" value="--cref"/>
									<listOptionValue builtIn="false" value="-n"/>
								</option>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.link.option.userobjs.565937494" name="Other objects" superClass="gnu.c.link.option.userobjs" useByScannerDiscovery="false" valueType="userObjs">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/Debug/libFreeRTOSLib.a}&quot;"/>
								</option>
								<option id="gnu.c.link.option.shared.1324569682" name="Shared (-shared)" superClass="gnu.c.link.option.shared" useByScannerDiscovery="false"/>
								<option id="gnu.c.link.option.soname.1414198547" name="Shared object name (-Wl,-soname=)" superClass="gnu.c.link.option.soname" useByScannerDiscovery="false"/>
								<option id="gnu.c.link.option.implname.442295933" name="Import Library name (-Wl,--out-implib=)" superClass="gnu.c.link.option.implname" useByScannerDiscovery="false"/>
								<option id="gnu.c.link.option.defname.545152356" name="DEF file name (-Wl,--output-def=)" superClass="gnu.c.link.option.defname" useByScannerDiscovery="false"/>
								<option id="gnu.c.link.option.debugging.prof.459235119" name="Generate prof information (-p)" superClass="gnu.c.link.option.debugging.prof" useByScannerDiscovery="false"/>
								<option id="gnu.c.link.option.debugging.gprof.1551179599" name="Generate gprof information (-pg)" superClass="gnu.c.link.option.debugging.gprof" useByScannerDiscovery="false"/>
								<option id="gnu.c.link.option.debugging.codecov.2040375666" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.c.link.option.debugging.codecov" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.gcc.lto.2034898620" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.link.gcc.lto" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.gcc.lto.optmization.level.1045934428" name="Link-time optimization level" superClass="com.crt.advproject.link.gcc.lto.optmization.level" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.fpu.77544503" name="Floating point" superClass="com.crt.advproject.link.fpu" useByScannerDiscovery="false" value="com.crt.advproject.link.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.link.manage.2020878952" name="Manage linker script" superClass="com.crt.advproject.link.manage" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.link.script.738789057" name="Linker script" superClass="com.crt.advproject.link.script" useByScannerDiscovery="false" value="CallistoBootloader_Multiple_configurations.ld" valueType="string"/>
								<option id="com.crt.advproject.link.scriptdir.474693800" name="Script path" superClass="com.crt.advproject.link.scriptdir" useByScannerDiscovery="false" value="" valueType="string"/>
								<option id="com.crt.advproject.link.crpenable.2089472295" name="Enable automatic placement of Code Read Protection field in image" superClass="com.crt.advproject.link.crpenable" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.flashconfigenable.561147903" name="Enable automatic placement of Flash Configuration field in image" superClass="com.crt.advproject.link.flashconfigenable" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.link.ecrp.43494443" name="Enhanced CRP" superClass="com.crt.advproject.link.ecrp" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.gcc.hdrlib.620847266" name="Library" superClass="com.crt.advproject.link.gcc.hdrlib" useByScannerDiscovery="false" value="com.crt.advproject.gcc.link.hdrlib.newlib.nohost" valueType="enumerated"/>
								<option id="com.crt.advproject.link.gcc.nanofloat.195677429" name="Enable printf float " superClass="com.crt.advproject.link.gcc.nanofloat" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.gcc.nanofloat.scanf.1856634937" name="Enable scanf float " superClass="com.crt.advproject.link.gcc.nanofloat.scanf" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.toram.223314413" name="Link application to RAM" superClass="com.crt.advproject.link.toram" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.stackOffset.852938759" name="Stack offset" superClass="com.crt.advproject.link.stackOffset" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.gcc.multicore.slave.981235115" name="Multicore configuration" superClass="com.crt.advproject.link.gcc.multicore.slave" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.gcc.multicore.master.1938081267" name="Multicore master" superClass="com.crt.advproject.link.gcc.multicore.master" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.gcc.multicore.empty.723667091" name="No Multicore options for this project" superClass="com.crt.advproject.link.gcc.multicore.empty" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.config.311823694" name="Obsolete (Config)" superClass="com.crt.advproject.link.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.store.2043850011" name="Obsolete (Store)" superClass="com.crt.advproject.link.store" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.securestate.1281016918" name="TrustZone Project Type" superClass="com.crt.advproject.link.securestate" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.sgstubs.placement.1139616156" name="Secure Gateway Placement" superClass="com.crt.advproject.link.sgstubs.placement" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.sgstubenable.37951577" name="Enable generation of Secure Gateway Import Library" superClass="com.crt.advproject.link.sgstubenable" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.nonsecureobject.915057257" name="Secure Gateway Import Library" superClass="com.crt.advproject.link.nonsecureobject" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.link.inimplib.1943691659" name="Input Secure Gateway Import Library" superClass="com.crt.advproject.link.inimplib" useByScannerDiscovery="false"/>
								<inputType id="cdt.managedbuild.tool.gnu.c.linker.input.1065576789" superClass="cdt.managedbuild.tool.gnu.c.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
									<additionalInput kind="additionalinput" paths="$(LIBS)"/>
								</inputType>
							</tool>
							<tool id="com.crt.advproject.tool.debug.debug.352336137" name="MCU Debugger" superClass="com.crt.advproject.tool.debug.debug">
								<option id="com.crt.advproject.linkserver.debug.prevent.debug.460320569" name="Prevent Debugging" superClass="com.crt.advproject.linkserver.debug.prevent.debug" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.miscellaneous.end_of_heap.633040488" name="Last used address of the heap" superClass="com.crt.advproject.miscellaneous.end_of_heap" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.miscellaneous.pvHeapStart.80425543" name="First address of the heap" superClass="com.crt.advproject.miscellaneous.pvHeapStart" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.miscellaneous.pvHeapLimit.751970879" name="Maximum extent of heap" superClass="com.crt.advproject.miscellaneous.pvHeapLimit" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.debugger.security.nonsecureimageenable.1959216727" name="Enable pre-programming of Non-Secure Image" superClass="com.crt.advproject.debugger.security.nonsecureimageenable" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.debugger.security.nonsecureimage.1918764972" name="Non-Secure Project" superClass="com.crt.advproject.debugger.security.nonsecureimage" useByScannerDiscovery="false"/>
							</tool>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="CMSIS"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="PfmLib"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="board"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="drivers"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="include"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="lib"/>
						<entry flags="LOCAL|VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="src"/>
						<entry flags="LOCAL|VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="startup"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
		<cconfiguration id="com.crt.advproject.config.exe.release.256575218">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="com.crt.advproject.config.exe.release.256575218" moduleId="org.eclipse.cdt.core.settings" name="Release">
				<externalSettings/>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GNU_ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactExtension="axf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe" cleanCommand="rm -rf" description="Release build" errorParsers="org.eclipse.cdt.core.CWDLocator;org.eclipse.cdt.core.GmakeErrorParser;org.eclipse.cdt.core.GCCErrorParser;org.eclipse.cdt.core.GLDErrorParser;org.eclipse.cdt.core.GASErrorParser" id="com.crt.advproject.config.exe.release.256575218" name="Release" parent="com.crt.advproject.config.exe.release" postannouncebuildStep="Performing post-build steps" postbuildStep="">
					<folderInfo id="com.crt.advproject.config.exe.release.256575218." name="/" resourcePath="">
						<toolChain id="com.crt.advproject.toolchain.exe.release.470986673" name="NXP MCU Tools" superClass="com.crt.advproject.toolchain.exe.release">
							<targetPlatform binaryParser="org.eclipse.cdt.core.ELF;org.eclipse.cdt.core.GNU_ELF" id="com.crt.advproject.platform.exe.release.141480796" name="ARM-based MCU (Release)" superClass="com.crt.advproject.platform.exe.release"/>
							<builder buildPath="${workspace_loc:/CallistoBootloader}/Release" id="com.crt.advproject.builder.exe.release.1452935999" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Gnu Make Builder" superClass="com.crt.advproject.builder.exe.release"/>
							<tool id="com.crt.advproject.cpp.exe.release.1410521995" name="MCU C++ Compiler" superClass="com.crt.advproject.cpp.exe.release">
								<option id="com.crt.advproject.cpp.arch.1872944689" name="Architecture" superClass="com.crt.advproject.cpp.arch" useByScannerDiscovery="true" value="com.crt.advproject.cpp.target.cm7" valueType="enumerated"/>
								<option id="com.crt.advproject.cpp.misc.dialect.1223554315" name="Language standard" superClass="com.crt.advproject.cpp.misc.dialect" useByScannerDiscovery="true"/>
								<option id="gnu.cpp.compiler.option.dialect.flags.1733024767" name="Other dialect flags" superClass="gnu.cpp.compiler.option.dialect.flags" useByScannerDiscovery="true"/>
								<option id="gnu.cpp.compiler.option.preprocessor.nostdinc.1415662118" name="Do not search system directories (-nostdinc)" superClass="gnu.cpp.compiler.option.preprocessor.nostdinc" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.preprocess.1507813985" name="Preprocess only (-E)" superClass="gnu.cpp.compiler.option.preprocessor.preprocess" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.def.1137475382" name="Defined symbols (-D)" superClass="gnu.cpp.compiler.option.preprocessor.def" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.undef.1807577476" name="Undefined symbols (-U)" superClass="gnu.cpp.compiler.option.preprocessor.undef" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.include.paths.1693091766" name="Include paths (-I)" superClass="gnu.cpp.compiler.option.include.paths" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.include.files.214693068" name="Include files (-include)" superClass="gnu.cpp.compiler.option.include.files" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.optimization.flags.519673133" name="Other optimization flags" superClass="gnu.cpp.compiler.option.optimization.flags" useByScannerDiscovery="false" value="-fno-common" valueType="string"/>
								<option id="gnu.cpp.compiler.option.debugging.other.1797653596" name="Other debugging flags" superClass="gnu.cpp.compiler.option.debugging.other" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.prof.1250905945" name="Generate prof information (-p)" superClass="gnu.cpp.compiler.option.debugging.prof" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.gprof.1699778051" name="Generate gprof information (-pg)" superClass="gnu.cpp.compiler.option.debugging.gprof" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.codecov.1599305961" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.cpp.compiler.option.debugging.codecov" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.syntax.1027467421" name="Check syntax only (-fsyntax-only)" superClass="gnu.cpp.compiler.option.warnings.syntax" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.pedantic.2077765393" name="Pedantic (-pedantic)" superClass="gnu.cpp.compiler.option.warnings.pedantic" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.pedantic.error.1209740089" name="Pedantic warnings as errors (-pedantic-errors)" superClass="gnu.cpp.compiler.option.warnings.pedantic.error" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.nowarn.1106459447" name="Inhibit all warnings (-w)" superClass="gnu.cpp.compiler.option.warnings.nowarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.allwarn.1378717529" name="All warnings (-Wall)" superClass="gnu.cpp.compiler.option.warnings.allwarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.extrawarn.1537110473" name="Extra warnings (-Wextra)" superClass="gnu.cpp.compiler.option.warnings.extrawarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.toerrors.1075305498" name="Warnings as errors (-Werror)" superClass="gnu.cpp.compiler.option.warnings.toerrors" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.wconversion.1322574204" name="Implicit conversion warnings (-Wconversion)" superClass="gnu.cpp.compiler.option.warnings.wconversion" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.other.1928820372" name="Other flags" superClass="gnu.cpp.compiler.option.other.other" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.verbose.1865941449" name="Verbose (-v)" superClass="gnu.cpp.compiler.option.other.verbose" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.pic.1888098239" name="Position Independent Code (-fPIC)" superClass="gnu.cpp.compiler.option.other.pic" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.lto.931815745" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.cpp.lto" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.lto.fat.1191544411" name="Fat lto objects (-ffat-lto-objects)" superClass="com.crt.advproject.cpp.lto.fat" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.merge.constants.989483207" name="Merge Identical Constants (-fmerge-constants)" superClass="com.crt.advproject.cpp.merge.constants" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.prefixmap.977058670" name="Remove path from __FILE__ (-fmacro-prefix-map)" superClass="com.crt.advproject.cpp.prefixmap" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.fpu.93703506" name="Floating point" superClass="com.crt.advproject.cpp.fpu" useByScannerDiscovery="true" value="com.crt.advproject.cpp.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.cpp.thumb.107147377" name="Thumb mode" superClass="com.crt.advproject.cpp.thumb" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.thumbinterwork.2050250678" name="Enable Thumb interworking" superClass="com.crt.advproject.cpp.thumbinterwork" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.securestate.633685381" name="TrustZone Project Type" superClass="com.crt.advproject.cpp.securestate" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.hdrlib.315506020" name="Library headers" superClass="com.crt.advproject.cpp.hdrlib" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.stackusage.196519723" name="Generate Stack Usage Info (-fstack-usage)" superClass="com.crt.advproject.cpp.stackusage" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.specs.1344983391" name="Specs" superClass="com.crt.advproject.cpp.specs" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.config.667361045" name="Obsolete (Config)" superClass="com.crt.advproject.cpp.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.store.1369890387" name="Obsolete (Store)" superClass="com.crt.advproject.cpp.store" useByScannerDiscovery="false"/>
							</tool>
							<tool id="com.crt.advproject.gcc.exe.release.1394499664" name="MCU C Compiler" superClass="com.crt.advproject.gcc.exe.release">
								<option id="com.crt.advproject.gcc.thumb.2089759410" name="Thumb mode" superClass="com.crt.advproject.gcc.thumb" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.gcc.arch.812352555" name="Architecture" superClass="com.crt.advproject.gcc.arch" useByScannerDiscovery="true" value="com.crt.advproject.gcc.target.cm7" valueType="enumerated"/>
								<option id="com.crt.advproject.c.misc.dialect.112149347" name="Language standard" superClass="com.crt.advproject.c.misc.dialect" useByScannerDiscovery="true" value="com.crt.advproject.misc.dialect.gnu99" valueType="enumerated"/>
								<option id="gnu.c.compiler.option.dialect.flags.57839614" name="Other dialect flags" superClass="gnu.c.compiler.option.dialect.flags" useByScannerDiscovery="true"/>
								<option id="gnu.c.compiler.option.preprocessor.nostdinc.417969408" name="Do not search system directories (-nostdinc)" superClass="gnu.c.compiler.option.preprocessor.nostdinc" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.preprocessor.preprocess.888318860" name="Preprocess only (-E)" superClass="gnu.c.compiler.option.preprocessor.preprocess" useByScannerDiscovery="false"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.preprocessor.def.symbols.418002043" name="Defined symbols (-D)" superClass="gnu.c.compiler.option.preprocessor.def.symbols" useByScannerDiscovery="false" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CPU_MIMXRT1062DVL6A"/>
									<listOptionValue builtIn="false" value="CPU_MIMXRT1062DVL6A_cm7"/>
									<listOptionValue builtIn="false" value="USE_RTOS=1"/>
									<listOptionValue builtIn="false" value="WITH_LWIP"/>
									<listOptionValue builtIn="false" value="_POSIX_SOURCE"/>
									<listOptionValue builtIn="false" value="SDK_DEBUGCONSOLE=0"/>
									<listOptionValue builtIn="false" value="DEBUG_CONSOLE_TRANSFER_NON_BLOCKING"/>
									<listOptionValue builtIn="false" value="DEBUG_CONSOLE_TRANSMIT_BUFFER_LEN=1024"/>
									<listOptionValue builtIn="false" value="XIP_EXTERNAL_FLASH=1"/>
									<listOptionValue builtIn="false" value="XIP_BOOT_HEADER_ENABLE=1"/>
									<listOptionValue builtIn="false" value="SERIAL_PORT_TYPE_UART=1"/>
									<listOptionValue builtIn="false" value="FSL_RTOS_FREE_RTOS"/>
									<listOptionValue builtIn="false" value="CR_INTEGER_PRINTF"/>
									<listOptionValue builtIn="false" value="CR_PRINTF_CHAR"/>
									<listOptionValue builtIn="false" value="PRINTF_FLOAT_ENABLE=1"/>
									<listOptionValue builtIn="false" value="__MCUXPRESSO"/>
									<listOptionValue builtIn="false" value="__USE_CMSIS"/>
									<listOptionValue builtIn="false" value="ENET_ENHANCEDBUFFERDESCRIPTOR_MODE"/>
									<listOptionValue builtIn="false" value="NXPIMXRT1050"/>
									<listOptionValue builtIn="false" value="PTP_ENABLED=1"/>
									<listOptionValue builtIn="false" value="DEBUG"/>
									<listOptionValue builtIn="false" value="__NEWLIB__"/>
								</option>
								<option id="gnu.c.compiler.option.preprocessor.undef.symbol.714589750" name="Undefined symbols (-U)" superClass="gnu.c.compiler.option.preprocessor.undef.symbol" useByScannerDiscovery="false"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.include.paths.386431660" name="Include paths (-I)" superClass="gnu.c.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/PlatformAPI/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/board}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/CMSIS}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/lwip/src/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/lwip/src/include/compat/posix}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/lwip/port}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/libcoap/include/coap2}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/amazon-freertos/freertos_kernel/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/amazon-freertos/freertos_kernel/portable/GCC/ARM_CM4F}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/amazon-freertos/freertos_kernel/portable/MemMang}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/drivers}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/component/serial_manager}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/component/uart}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/component/lists}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/utilities}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/device}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/otherdrivers}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/xip}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/cJSON/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/ptpd/src}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/ptpd/src/dep}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/lwip-contrib/httpserver}&quot;"/>
								</option>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.include.files.247260954" name="Include files (-include)" superClass="gnu.c.compiler.option.include.files" useByScannerDiscovery="false" valueType="includeFiles">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/include/typefix.h}&quot;"/>
								</option>
								<option id="gnu.c.compiler.option.optimization.flags.95911979" name="Other optimization flags" superClass="gnu.c.compiler.option.optimization.flags" useByScannerDiscovery="false" value="-fno-common -ffunction-sections -fdata-sections" valueType="string"/>
								<option id="gnu.c.compiler.option.debugging.other.29570283" name="Other debugging flags" superClass="gnu.c.compiler.option.debugging.other" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.prof.193601968" name="Generate prof information (-p)" superClass="gnu.c.compiler.option.debugging.prof" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.gprof.627822151" name="Generate gprof information (-pg)" superClass="gnu.c.compiler.option.debugging.gprof" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.codecov.977667170" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.c.compiler.option.debugging.codecov" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.syntax.749884202" name="Check syntax only (-fsyntax-only)" superClass="gnu.c.compiler.option.warnings.syntax" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.pedantic.993862031" name="Pedantic (-pedantic)" superClass="gnu.c.compiler.option.warnings.pedantic" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.pedantic.error.1767933079" name="Pedantic warnings as errors (-pedantic-errors)" superClass="gnu.c.compiler.option.warnings.pedantic.error" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.nowarn.1805945060" name="Inhibit all warnings (-w)" superClass="gnu.c.compiler.option.warnings.nowarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.allwarn.2104320078" name="All warnings (-Wall)" superClass="gnu.c.compiler.option.warnings.allwarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.extrawarn.1763438852" name="Extra warnings (-Wextra)" superClass="gnu.c.compiler.option.warnings.extrawarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.toerrors.326826649" name="Warnings as errors (-Werror)" superClass="gnu.c.compiler.option.warnings.toerrors" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.wconversion.54090761" name="Implicit conversion warnings (-Wconversion)" superClass="gnu.c.compiler.option.warnings.wconversion" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.other.1456890411" name="Other flags" superClass="gnu.c.compiler.option.misc.other" useByScannerDiscovery="false" value="-c -ffunction-sections -fdata-sections -ffreestanding -fno-builtin" valueType="string"/>
								<option id="gnu.c.compiler.option.misc.verbose.1905906804" name="Verbose (-v)" superClass="gnu.c.compiler.option.misc.verbose" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.ansi.917562371" name="Support ANSI programs (-ansi)" superClass="gnu.c.compiler.option.misc.ansi" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.pic.1097621947" name="Position Independent Code (-fPIC)" superClass="gnu.c.compiler.option.misc.pic" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option id="com.crt.advproject.gcc.lto.1892375293" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.gcc.lto" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option id="com.crt.advproject.gcc.lto.fat.1993740734" name="Fat lto objects (-ffat-lto-objects)" superClass="com.crt.advproject.gcc.lto.fat" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.merge.constants.1710996929" name="Merge Identical Constants (-fmerge-constants)" superClass="com.crt.advproject.gcc.merge.constants" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.prefixmap.805970358" name="Remove path from __FILE__ (-fmacro-prefix-map)" superClass="com.crt.advproject.gcc.prefixmap" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.fpu.1754860700" name="Floating point" superClass="com.crt.advproject.gcc.fpu" useByScannerDiscovery="true" value="com.crt.advproject.gcc.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.thumbinterwork.60506585" name="Enable Thumb interworking" superClass="com.crt.advproject.gcc.thumbinterwork" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.securestate.413154515" name="TrustZone Project Type" superClass="com.crt.advproject.gcc.securestate" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.hdrlib.1106269350" name="Library headers" superClass="com.crt.advproject.gcc.hdrlib" useByScannerDiscovery="false" value="com.crt.advproject.gcc.hdrlib.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.stackusage.1528073799" name="Generate Stack Usage Info (-fstack-usage)" superClass="com.crt.advproject.gcc.stackusage" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.specs.219077409" name="Specs" superClass="com.crt.advproject.gcc.specs" useByScannerDiscovery="false" value="com.crt.advproject.gcc.specs.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.config.1875188998" name="Obsolete (Config)" superClass="com.crt.advproject.gcc.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.store.164601150" name="Obsolete (Store)" superClass="com.crt.advproject.gcc.store" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.exe.release.option.optimization.level.1236345926" name="Optimization Level" superClass="com.crt.advproject.gcc.exe.release.option.optimization.level" useByScannerDiscovery="true" value="gnu.c.optimization.level.most" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.exe.release.option.debugging.level.219370276" name="Debug Level" superClass="com.crt.advproject.gcc.exe.release.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.default" valueType="enumerated"/>
								<inputType id="com.crt.advproject.compiler.input.1840138130" superClass="com.crt.advproject.compiler.input"/>
							</tool>
							<tool id="com.crt.advproject.gas.exe.release.1492134401" name="MCU Assembler" superClass="com.crt.advproject.gas.exe.release">
								<option id="com.crt.advproject.gas.thumb.2018602197" name="Thumb mode" superClass="com.crt.advproject.gas.thumb" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.gas.arch.695600999" name="Architecture" superClass="com.crt.advproject.gas.arch" value="com.crt.advproject.gas.target.cm7" valueType="enumerated"/>
								<option id="gnu.both.asm.option.flags.crt.2139301716" name="Assembler flags" superClass="gnu.both.asm.option.flags.crt" value="-c -x assembler-with-cpp -D__NEWLIB__" valueType="string"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="gnu.both.asm.option.include.paths.1072810505" name="Include paths (-I)" superClass="gnu.both.asm.option.include.paths" useByScannerDiscovery="false" valueType="includePath"/>
								<option id="gnu.both.asm.option.warnings.nowarn.800912620" name="Suppress warnings (-W)" superClass="gnu.both.asm.option.warnings.nowarn"/>
								<option id="gnu.both.asm.option.version.387492573" name="Announce version (-v)" superClass="gnu.both.asm.option.version"/>
								<option id="com.crt.advproject.gas.fpu.1221342417" name="Floating point" superClass="com.crt.advproject.gas.fpu" value="com.crt.advproject.gas.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.gas.thumbinterwork.655780633" name="Enable Thumb interworking" superClass="com.crt.advproject.gas.thumbinterwork"/>
								<option id="com.crt.advproject.gas.hdrlib.1657053722" name="Library headers" superClass="com.crt.advproject.gas.hdrlib" value="com.crt.advproject.gas.hdrlib.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gas.specs.374214522" name="Specs" superClass="com.crt.advproject.gas.specs" value="com.crt.advproject.gas.specs.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gas.config.2141790137" name="Obsolete (Config)" superClass="com.crt.advproject.gas.config"/>
								<option id="com.crt.advproject.gas.store.1385416683" name="Obsolete (Store)" superClass="com.crt.advproject.gas.store"/>
								<option id="com.crt.advproject.gas.debug.620229420" name="Debug level" superClass="com.crt.advproject.gas.debug" value="com.crt.advproject.gas.debug.max" valueType="enumerated"/>
								<inputType id="cdt.managedbuild.tool.gnu.assembler.input.1542418526" superClass="cdt.managedbuild.tool.gnu.assembler.input"/>
								<inputType id="com.crt.advproject.assembler.input.1166767742" name="Additional Assembly Source Files" superClass="com.crt.advproject.assembler.input"/>
							</tool>
							<tool id="com.crt.advproject.link.cpp.exe.release.86492517" name="MCU C++ Linker" superClass="com.crt.advproject.link.cpp.exe.release">
								<option id="com.crt.advproject.link.cpp.arch.1165287697" name="Architecture" superClass="com.crt.advproject.link.cpp.arch" value="com.crt.advproject.link.cpp.target.cm7" valueType="enumerated"/>
								<option id="gnu.cpp.link.option.nostart.1963126520" name="Do not use standard start files (-nostartfiles)" superClass="gnu.cpp.link.option.nostart"/>
								<option id="gnu.cpp.link.option.nodeflibs.83606252" name="Do not use default libraries (-nodefaultlibs)" superClass="gnu.cpp.link.option.nodeflibs"/>
								<option id="gnu.cpp.link.option.nostdlibs.56387082" name="No startup or default libs (-nostdlib)" superClass="gnu.cpp.link.option.nostdlibs" value="true" valueType="boolean"/>
								<option id="gnu.cpp.link.option.strip.503744831" name="Omit all symbol information (-s)" superClass="gnu.cpp.link.option.strip"/>
								<option id="gnu.cpp.link.option.libs.1922459204" name="Libraries (-l)" superClass="gnu.cpp.link.option.libs"/>
								<option id="gnu.cpp.link.option.paths.430674745" name="Library search path (-L)" superClass="gnu.cpp.link.option.paths"/>
								<option id="gnu.cpp.link.option.flags.616772949" name="Linker flags" superClass="gnu.cpp.link.option.flags"/>
								<option id="gnu.cpp.link.option.other.1464709427" name="Other options (-Xlinker [option])" superClass="gnu.cpp.link.option.other"/>
								<option id="gnu.cpp.link.option.userobjs.872183710" name="Other objects" superClass="gnu.cpp.link.option.userobjs"/>
								<option id="gnu.cpp.link.option.shared.51103155" name="Shared (-shared)" superClass="gnu.cpp.link.option.shared"/>
								<option id="gnu.cpp.link.option.soname.24308043" name="Shared object name (-Wl,-soname=)" superClass="gnu.cpp.link.option.soname"/>
								<option id="gnu.cpp.link.option.implname.1480951220" name="Import Library name (-Wl,--out-implib=)" superClass="gnu.cpp.link.option.implname"/>
								<option id="gnu.cpp.link.option.defname.2085314108" name="DEF file name (-Wl,--output-def=)" superClass="gnu.cpp.link.option.defname"/>
								<option id="gnu.cpp.link.option.debugging.prof.1698559542" name="Generate prof information (-p)" superClass="gnu.cpp.link.option.debugging.prof"/>
								<option id="gnu.cpp.link.option.debugging.gprof.994122881" name="Generate gprof information (-pg)" superClass="gnu.cpp.link.option.debugging.gprof"/>
								<option id="gnu.cpp.link.option.debugging.codecov.1380545129" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.cpp.link.option.debugging.codecov"/>
								<option id="com.crt.advproject.link.cpp.lto.797749436" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.link.cpp.lto"/>
								<option id="com.crt.advproject.link.cpp.lto.optmization.level.562095930" name="Link-time optimization level" superClass="com.crt.advproject.link.cpp.lto.optmization.level"/>
								<option id="com.crt.advproject.link.cpp.fpu.1151982199" name="Floating point" superClass="com.crt.advproject.link.cpp.fpu" value="com.crt.advproject.link.cpp.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.link.cpp.thumb.624261276" name="Thumb mode" superClass="com.crt.advproject.link.cpp.thumb"/>
								<option id="com.crt.advproject.link.cpp.manage.1846020262" name="Manage linker script" superClass="com.crt.advproject.link.cpp.manage"/>
								<option id="com.crt.advproject.link.cpp.script.914435264" name="Linker script" superClass="com.crt.advproject.link.cpp.script"/>
								<option id="com.crt.advproject.link.cpp.scriptdir.1888122153" name="Script path" superClass="com.crt.advproject.link.cpp.scriptdir"/>
								<option id="com.crt.advproject.link.cpp.crpenable.2061593325" name="Enable automatic placement of Code Read Protection field in image" superClass="com.crt.advproject.link.cpp.crpenable"/>
								<option id="com.crt.advproject.link.cpp.flashconfigenable.1766558311" name="Enable automatic placement of Flash Configuration field in image" superClass="com.crt.advproject.link.cpp.flashconfigenable" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.link.cpp.ecrp.1854650383" name="Enhanced CRP" superClass="com.crt.advproject.link.cpp.ecrp"/>
								<option id="com.crt.advproject.link.cpp.hdrlib.753281345" name="Library" superClass="com.crt.advproject.link.cpp.hdrlib"/>
								<option id="com.crt.advproject.link.cpp.nanofloat.1962625096" name="Enable printf float " superClass="com.crt.advproject.link.cpp.nanofloat"/>
								<option id="com.crt.advproject.link.cpp.nanofloat.scanf.228291684" name="Enable scanf float " superClass="com.crt.advproject.link.cpp.nanofloat.scanf"/>
								<option id="com.crt.advproject.link.cpp.toram.2032347936" name="Link application to RAM" superClass="com.crt.advproject.link.cpp.toram"/>
								<option id="com.crt.advproject.link.memory.load.image.cpp.771491984" name="Plain load image" superClass="com.crt.advproject.link.memory.load.image.cpp"/>
								<option id="com.crt.advproject.link.memory.heapAndStack.style.cpp.1543180729" name="Heap and Stack placement" superClass="com.crt.advproject.link.memory.heapAndStack.style.cpp"/>
								<option id="com.crt.advproject.link.cpp.stackOffset.77173174" name="Stack offset" superClass="com.crt.advproject.link.cpp.stackOffset"/>
								<option id="com.crt.advproject.link.memory.heapAndStack.cpp.805038561" name="Heap and Stack options" superClass="com.crt.advproject.link.memory.heapAndStack.cpp"/>
								<option id="com.crt.advproject.link.memory.data.cpp.1533322549" name="Global data placement" superClass="com.crt.advproject.link.memory.data.cpp"/>
								<option id="com.crt.advproject.link.memory.sections.cpp.1000860344" name="Extra linker script input sections" superClass="com.crt.advproject.link.memory.sections.cpp"/>
								<option id="com.crt.advproject.link.cpp.multicore.slave.1572768643" name="Multicore configuration" superClass="com.crt.advproject.link.cpp.multicore.slave"/>
								<option id="com.crt.advproject.link.cpp.multicore.master.1595573467" name="Multicore master" superClass="com.crt.advproject.link.cpp.multicore.master"/>
								<option id="com.crt.advproject.link.cpp.multicore.empty.543054208" name="No Multicore options for this project" superClass="com.crt.advproject.link.cpp.multicore.empty"/>
								<option id="com.crt.advproject.link.cpp.multicore.master.userobjs.1774539949" name="Slave Objects (not visible)" superClass="com.crt.advproject.link.cpp.multicore.master.userobjs"/>
								<option id="com.crt.advproject.link.cpp.config.30193500" name="Obsolete (Config)" superClass="com.crt.advproject.link.cpp.config"/>
								<option id="com.crt.advproject.link.cpp.store.1372141524" name="Obsolete (Store)" superClass="com.crt.advproject.link.cpp.store"/>
								<option id="com.crt.advproject.link.cpp.securestate.550702930" name="TrustZone Project Type" superClass="com.crt.advproject.link.cpp.securestate"/>
								<option id="com.crt.advproject.link.cpp.sgstubs.placement.1516118859" name="Secure Gateway Placement" superClass="com.crt.advproject.link.cpp.sgstubs.placement"/>
								<option id="com.crt.advproject.link.cpp.sgstubenable.1212893843" name="Enable generation of Secure Gateway Import Library" superClass="com.crt.advproject.link.cpp.sgstubenable"/>
								<option id="com.crt.advproject.link.cpp.nonsecureobject.466447807" name="Secure Gateway Import Library" superClass="com.crt.advproject.link.cpp.nonsecureobject"/>
								<option id="com.crt.advproject.link.cpp.inimplib.861723168" name="Input Secure Gateway Import Library" superClass="com.crt.advproject.link.cpp.inimplib"/>
							</tool>
							<tool id="com.crt.advproject.link.exe.release.1730240574" name="MCU Linker" superClass="com.crt.advproject.link.exe.release">
								<option id="com.crt.advproject.link.thumb.2114755877" name="Thumb mode" superClass="com.crt.advproject.link.thumb" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.link.memory.load.image.130170047" name="Plain load image" superClass="com.crt.advproject.link.memory.load.image" useByScannerDiscovery="false" value="false;" valueType="string"/>
								<option defaultValue="com.crt.advproject.heapAndStack.mcuXpressoStyle" id="com.crt.advproject.link.memory.heapAndStack.style.159925049" name="Heap and Stack placement" superClass="com.crt.advproject.link.memory.heapAndStack.style" useByScannerDiscovery="false" value="Default" valueType="enumerated"/>
								<option id="com.crt.advproject.link.memory.heapAndStack.866400918" name="Heap and Stack options" superClass="com.crt.advproject.link.memory.heapAndStack" useByScannerDiscovery="false" value="&amp;Heap:SRAM_PLATFORM;Post Data;0x30000&amp;Stack:SRAM_STACK;Start;0x4000" valueType="string"/>
								<option id="com.crt.advproject.link.memory.data.657598183" name="Global data placement" superClass="com.crt.advproject.link.memory.data" useByScannerDiscovery="false" value="SRAM_PLATFORM" valueType="string"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="com.crt.advproject.link.memory.sections.287175888" name="Extra linker script input sections" superClass="com.crt.advproject.link.memory.sections" useByScannerDiscovery="false" valueType="stringList"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="com.crt.advproject.link.gcc.multicore.master.userobjs.1384909033" name="Slave Objects (not visible)" superClass="com.crt.advproject.link.gcc.multicore.master.userobjs" useByScannerDiscovery="false" valueType="userObjs"/>
								<option id="com.crt.advproject.link.arch.145136515" name="Architecture" superClass="com.crt.advproject.link.arch" value="com.crt.advproject.link.target.cm7" valueType="enumerated"/>
								<option id="gnu.c.link.option.nostart.1702044135" name="Do not use standard start files (-nostartfiles)" superClass="gnu.c.link.option.nostart"/>
								<option id="gnu.c.link.option.nodeflibs.71871729" name="Do not use default libraries (-nodefaultlibs)" superClass="gnu.c.link.option.nodeflibs"/>
								<option id="gnu.c.link.option.nostdlibs.1088075405" name="No startup or default libs (-nostdlib)" superClass="gnu.c.link.option.nostdlibs" value="true" valueType="boolean"/>
								<option id="gnu.c.link.option.strip.6553014" name="Omit all symbol information (-s)" superClass="gnu.c.link.option.strip"/>
								<option id="gnu.c.link.option.noshared.2130172887" name="No shared libraries (-static)" superClass="gnu.c.link.option.noshared" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="gnu.c.link.option.libs.1074778255" name="Libraries (-l)" superClass="gnu.c.link.option.libs" useByScannerDiscovery="false" valueType="libs"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="gnu.c.link.option.paths.1262909809" name="Library search path (-L)" superClass="gnu.c.link.option.paths" useByScannerDiscovery="false" valueType="libPaths"/>
								<option id="gnu.c.link.option.ldflags.1804889029" name="Linker flags" superClass="gnu.c.link.option.ldflags"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.link.option.other.1281801220" name="Other options (-Xlinker [option])" superClass="gnu.c.link.option.other" useByScannerDiscovery="false" valueType="stringList">
									<listOptionValue builtIn="false" value="-Map=&quot;${BuildArtifactFileBaseName}.map&quot;"/>
									<listOptionValue builtIn="false" value="--gc-sections"/>
									<listOptionValue builtIn="false" value="-print-memory-usage"/>
									<listOptionValue builtIn="false" value="--sort-section=alignment"/>
									<listOptionValue builtIn="false" value="--cref"/>
									<listOptionValue builtIn="false" value="-n"/>
								</option>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.link.option.userobjs.195148392" name="Other objects" superClass="gnu.c.link.option.userobjs" useByScannerDiscovery="false" valueType="userObjs">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/FreeRTOSLib/Release/libFreeRTOSLib.a}&quot;"/>
								</option>
								<option id="gnu.c.link.option.shared.1943530327" name="Shared (-shared)" superClass="gnu.c.link.option.shared"/>
								<option id="gnu.c.link.option.soname.212702254" name="Shared object name (-Wl,-soname=)" superClass="gnu.c.link.option.soname"/>
								<option id="gnu.c.link.option.implname.374865498" name="Import Library name (-Wl,--out-implib=)" superClass="gnu.c.link.option.implname"/>
								<option id="gnu.c.link.option.defname.1340848403" name="DEF file name (-Wl,--output-def=)" superClass="gnu.c.link.option.defname"/>
								<option id="gnu.c.link.option.debugging.prof.300066001" name="Generate prof information (-p)" superClass="gnu.c.link.option.debugging.prof"/>
								<option id="gnu.c.link.option.debugging.gprof.191428163" name="Generate gprof information (-pg)" superClass="gnu.c.link.option.debugging.gprof"/>
								<option id="gnu.c.link.option.debugging.codecov.1786559904" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.c.link.option.debugging.codecov"/>
								<option id="com.crt.advproject.link.gcc.lto.197521340" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.link.gcc.lto" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option id="com.crt.advproject.link.gcc.lto.optmization.level.790660957" name="Link-time optimization level" superClass="com.crt.advproject.link.gcc.lto.optmization.level" useByScannerDiscovery="false" value="link.c.optimization.level.none" valueType="enumerated"/>
								<option id="com.crt.advproject.link.fpu.1475371398" name="Floating point" superClass="com.crt.advproject.link.fpu" value="com.crt.advproject.link.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.link.manage.1021712815" name="Manage linker script" superClass="com.crt.advproject.link.manage" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.link.script.579783778" name="Linker script" superClass="com.crt.advproject.link.script" useByScannerDiscovery="false" value="CallistoBootloader_Multiple_configurations.ld" valueType="string"/>
								<option id="com.crt.advproject.link.scriptdir.838519174" name="Script path" superClass="com.crt.advproject.link.scriptdir" useByScannerDiscovery="false" value="" valueType="string"/>
								<option id="com.crt.advproject.link.crpenable.834688950" name="Enable automatic placement of Code Read Protection field in image" superClass="com.crt.advproject.link.crpenable"/>
								<option id="com.crt.advproject.link.flashconfigenable.1350645160" name="Enable automatic placement of Flash Configuration field in image" superClass="com.crt.advproject.link.flashconfigenable" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.link.ecrp.2086384265" name="Enhanced CRP" superClass="com.crt.advproject.link.ecrp"/>
								<option id="com.crt.advproject.link.gcc.hdrlib.2065463646" name="Library" superClass="com.crt.advproject.link.gcc.hdrlib" value="com.crt.advproject.gcc.link.hdrlib.newlib.nohost" valueType="enumerated"/>
								<option id="com.crt.advproject.link.gcc.nanofloat.780442523" name="Enable printf float " superClass="com.crt.advproject.link.gcc.nanofloat"/>
								<option id="com.crt.advproject.link.gcc.nanofloat.scanf.295062121" name="Enable scanf float " superClass="com.crt.advproject.link.gcc.nanofloat.scanf"/>
								<option id="com.crt.advproject.link.toram.1649870638" name="Link application to RAM" superClass="com.crt.advproject.link.toram"/>
								<option id="com.crt.advproject.link.stackOffset.1308319231" name="Stack offset" superClass="com.crt.advproject.link.stackOffset"/>
								<option id="com.crt.advproject.link.gcc.multicore.slave.106912389" name="Multicore configuration" superClass="com.crt.advproject.link.gcc.multicore.slave"/>
								<option id="com.crt.advproject.link.gcc.multicore.master.1024317718" name="Multicore master" superClass="com.crt.advproject.link.gcc.multicore.master"/>
								<option id="com.crt.advproject.link.gcc.multicore.empty.1695943697" name="No Multicore options for this project" superClass="com.crt.advproject.link.gcc.multicore.empty"/>
								<option id="com.crt.advproject.link.config.586538379" name="Obsolete (Config)" superClass="com.crt.advproject.link.config"/>
								<option id="com.crt.advproject.link.store.1401010341" name="Obsolete (Store)" superClass="com.crt.advproject.link.store"/>
								<option id="com.crt.advproject.link.securestate.267485532" name="TrustZone Project Type" superClass="com.crt.advproject.link.securestate"/>
								<option id="com.crt.advproject.link.sgstubs.placement.1910991555" name="Secure Gateway Placement" superClass="com.crt.advproject.link.sgstubs.placement"/>
								<option id="com.crt.advproject.link.sgstubenable.1214692391" name="Enable generation of Secure Gateway Import Library" superClass="com.crt.advproject.link.sgstubenable"/>
								<option id="com.crt.advproject.link.nonsecureobject.964547314" name="Secure Gateway Import Library" superClass="com.crt.advproject.link.nonsecureobject"/>
								<option id="com.crt.advproject.link.inimplib.1214805474" name="Input Secure Gateway Import Library" superClass="com.crt.advproject.link.inimplib"/>
								<inputType id="cdt.managedbuild.tool.gnu.c.linker.input.454695436" superClass="cdt.managedbuild.tool.gnu.c.linker.input">
									<additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
									<additionalInput kind="additionalinput" paths="$(LIBS)"/>
								</inputType>
							</tool>
							<tool id="com.crt.advproject.tool.debug.release.216162753" name="MCU Debugger" superClass="com.crt.advproject.tool.debug.release">
								<option id="com.crt.advproject.miscellaneous.end_of_heap.353269646" name="Last used address of the heap" superClass="com.crt.advproject.miscellaneous.end_of_heap"/>
								<option id="com.crt.advproject.miscellaneous.pvHeapStart.2073457096" name="First address of the heap" superClass="com.crt.advproject.miscellaneous.pvHeapStart"/>
								<option id="com.crt.advproject.miscellaneous.pvHeapLimit.139924898" name="Maximum extent of heap" superClass="com.crt.advproject.miscellaneous.pvHeapLimit"/>
								<option id="com.crt.advproject.debugger.security.nonsecureimageenable.1139432837" name="Enable pre-programming of Non-Secure Image" superClass="com.crt.advproject.debugger.security.nonsecureimageenable"/>
								<option id="com.crt.advproject.debugger.security.nonsecureimage.1850856888" name="Non-Secure Project" superClass="com.crt.advproject.debugger.security.nonsecureimage"/>
							</tool>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="CMSIS"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="PfmLib"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="board"/>
						<entry flags="LOCAL|VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="src"/>
						<entry flags="LOCAL|VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="startup"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
	</storageModule>
	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
		<project id="CallistoBootloader.null.792499559" name="CallistoBootloader" projectType="com.crt.advproject.projecttype.exe"/>
	</storageModule>
	<storageModule moduleId="scannerConfiguration">
		<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		<scannerConfigBuildInfo instanceId="com.crt.advproject.config.exe.release.256575218;com.crt.advproject.config.exe.release.256575218.;com.crt.advproject.gcc.exe.release.1394499664;com.crt.advproject.compiler.input.1840138130">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="com.crt.advproject.config.exe.debug.1764521704;com.crt.advproject.config.exe.debug.1764521704.;com.crt.advproject.gcc.exe.debug.428636320;com.crt.advproject.compiler.input.685110543">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="com.crt.advproject.config.exe.release.256575218;com.crt.advproject.config.exe.release.256575218.;com.crt.advproject.gas.exe.release.1492134401;com.crt.advproject.assembler.input.1166767742">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="com.crt.advproject.config.exe.debug.1764521704;com.crt.advproject.config.exe.debug.1764521704.;com.crt.advproject.gas.exe.debug.2078154914;com.crt.advproject.assembler.input.1601599720">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
	<storageModule moduleId="com.nxp.mcuxpresso.core.datamodels">
		<sdkName>SDK_2.x_EVK-MIMXRT1060</sdkName>
		<sdkVersion>2.7.0</sdkVersion>
		<sdkComponents>middleware.baremetal.MIMXRT1062;platform.drivers.common.MIMXRT1062;platform.drivers.clock.MIMXRT1062;device.MIMXRT1062_CMSIS.MIMXRT1062;platform.Include_core_cm7.MIMXRT1062;platform.Include_common.MIMXRT1062;platform.Include_dsp.MIMXRT1062;platform.drivers.lpuart.MIMXRT1062;platform.drivers.igpio.MIMXRT1062;platform.drivers.iomuxc.MIMXRT1062;platform.drivers.xip_device.MIMXRT1062;utility.debug_console.MIMXRT1062;component.serial_manager.MIMXRT1062;component.lists.MIMXRT1062;component.serial_manager_uart.MIMXRT1062;component.lpuart_adapter.MIMXRT1062;platform.drivers.xip_board.MIMXRT1062;platform.drivers.xip_board_dcd.MIMXRT1062;device.MIMXRT1062_startup.MIMXRT1062;project_template.evkmimxrt1060.MIMXRT1062;</sdkComponents>
		<boardId>evkmimxrt1060</boardId>
		<package>MIMXRT1062DVL6A</package>
		<core>cm7</core>
		<coreId>core0_MIMXRT1062xxxxA</coreId>
	</storageModule>
	<storageModule moduleId="com.crt.config">
		<projectStorage>&lt;?xml version="1.0" encoding="UTF-8"?&gt;&#13;
&lt;TargetConfig&gt;&#13;
&lt;Properties property_3="NXP" property_4="MIMXRT1062xxxxA" property_count="5" version="100300"/&gt;&#13;
&lt;infoList vendor="NXP"&gt;&#13;
&lt;info chip="MIMXRT1062xxxxA" name="MIMXRT1062xxxxA"&gt;&#13;
&lt;chip&gt;&#13;
&lt;name&gt;MIMXRT1062xxxxA&lt;/name&gt;&#13;
&lt;family&gt;MIMXRT1060&lt;/family&gt;&#13;
&lt;vendor&gt;NXP&lt;/vendor&gt;&#13;
&lt;memory can_program="true" id="Flash" is_ro="true" size="0" type="Flash"/&gt;&#13;
&lt;memory id="RAM" size="1024" type="RAM"/&gt;&#13;
&lt;memoryInstance derived_from="Flash" driver="MIMXRT1060_SFDP_QSPI.cfx" edited="true" id="BOARD_FLASH" location="0x60000000" size="0x800000"/&gt;&#13;
&lt;memoryInstance derived_from="RAM" edited="true" id="SRAM_ITC" location="0x0" size="0x20000"/&gt;&#13;
&lt;memoryInstance derived_from="RAM" edited="true" id="SRAM_DTC" location="0x20000000" size="0x20000"/&gt;&#13;
&lt;memoryInstance derived_from="RAM" edited="true" id="SRAM_PLATFORM" location="0x20200000" size="0x68000"/&gt;&#13;
&lt;memoryInstance derived_from="RAM" edited="true" id="SRAM_STACK" location="0x20268000" size="0x4000"/&gt;&#13;
&lt;memoryInstance derived_from="RAM" edited="true" id="BOARD_SDRAM" location="0x80000000" size="0x1e00000"/&gt;&#13;
&lt;memoryInstance derived_from="RAM" edited="true" id="NCACHE_REGION" location="0x81e00000" size="0x200000"/&gt;&#13;
&lt;/chip&gt;&#13;
&lt;processor&gt;&#13;
&lt;name gcc_name="cortex-m7"&gt;Cortex-M7&lt;/name&gt;&#13;
&lt;family&gt;Cortex-M&lt;/family&gt;&#13;
&lt;/processor&gt;&#13;
&lt;/info&gt;&#13;
&lt;/infoList&gt;&#13;
&lt;/TargetConfig&gt;</projectStorage>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.make.core.buildtargets"/>
	<storageModule moduleId="refreshScope" versionNumber="2">
		<configuration configurationName="Debug">
			<resource resourceType="PROJECT" workspacePath="/CallistoBootloader"/>
		</configuration>
		<configuration configurationName="Release">
			<resource resourceType="PROJECT" workspacePath="/CallistoBootloader"/>
		</configuration>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.internal.ui.text.commentOwnerProjectMappings"/>
</cproject>
